Bug 476605 - Missing Qt Designer icon
Missing Qt Designer icon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 22:46 EST by Michel Alexandre Salim
Modified: 2009-11-04 07:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5.3-7.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-20 19:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-12-15 22:46:16 EST
Description of problem:
Qt Designer's desktop entry specifies the icon file 'designer'. This file is not present on a GNOME installer to which qt-devel is later added

Version-Release number of selected component (if applicable):
qt-devel-4.4.3-6.fc10.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Install qt-devel on a GNOME installation
2. Look at Applications->Programming
3. Right-click on Qt4 Designer's entry and put it on the panel
  
Actual results:
(2): Missing icon
(3): Launcher uses huge "missing icon" icon

Expected results:
Icon should be packaged, or the theme containing it should be pulled in

Additional info:
Comment 1 Rex Dieter 2008-12-15 22:51:58 EST
Sure enough, the "designer" icon used, is present only in kde'3 oxygen (and crystalsvg).
Comment 2 Rex Dieter 2009-09-20 19:32:23 EDT
* Sun Sep 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-19
- Missing Qt Designer icon (#476605)
Comment 3 Fedora Update System 2009-10-11 19:49:22 EDT
qt-4.5.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-4.5.3-4.fc11
Comment 4 Fedora Update System 2009-11-04 07:03:20 EST
qt-4.5.3-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-11-04 07:35:33 EST
qt-4.5.3-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.